View Issue Details

IDProjectCategoryView StatusLast Update
0004592SymmetricDS ProImprovementpublic2020-10-20 19:00
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.0 
Target Version3.12.5Fixed in Version3.12.5 
Summary0004592: Update deprecated components on Explore tab
DescriptionThe Explore tab uses some classes that are utilizing deprecated classes. These need to be replaced with newer versions that are not deprecated.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 1181e4e6

2020-10-19 19:28:17

evan-miller-jumpmind

Details Diff
0004592: Updated some deprecated components on the Explore tab Affected Issues
0004592
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DbExportDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DbFillDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DbTree.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DbTreeAction.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DefaultButtonBar.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/QueryPanel.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/SettingsDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/SqlExplorer.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/SqlHistoryDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/SqlRunner.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/TableInfoPanel.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/TableSelectionLayout.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/TabularResultLayout.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/TriggerInfoPanel.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/TriggerTableLayout.java Diff File

SymmetricDS: 3.12 317a65c8

2020-10-20 18:41:17

evan-miller-jumpmind

Details Diff
0004592: Upgraded deprecated Vaadin classes within SQL Explorer Affected Issues
0004592
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/AbbreviatorConverter.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/AbstractSpringUI.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/CommonUiUtils.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/DateColumnFormatter.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/DurationConverter.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/DurationFormatter.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/Grid7DataProvider.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/ImmediateUpdatePasswordField.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/ImmediateUpdateTextArea.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/ImmediateUpdateTextField.java Diff File
rm - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/MultiSelectTable.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/NotifyDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/PromptDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/ReadOnlyTextAreaDialog.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/ColumnMetaDataTableCreator.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DatabaseInfoPanel.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/ExportedKeysMetaDataTableCreator.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/ImportedKeysMetaDataTableCreator.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/IndexMetaDataTableCreator.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/PrimaryKeyMetaDataTableCreator.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/QueryPanel.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/TableInfoPanel.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/TabularResultLayout.java Diff File

Issue History

Date Modified Username Field Change
2020-10-15 20:53 emiller New Issue
2020-10-15 20:53 emiller Status new => assigned
2020-10-15 20:53 emiller Assigned To => emiller
2020-10-20 18:49 emiller Status assigned => resolved
2020-10-20 18:49 emiller Resolution open => fixed
2020-10-20 18:49 emiller Fixed in Version => 3.12.5
2020-10-20 19:00 Changeset attached => SymmetricDS 3.12 317a65c8
2020-10-20 19:00 Changeset attached => SymmetricDS 3.12 1181e4e6